DRAFT -  DRAFT -  DRAFT -  DRAFT -  DRAFT -  DRAFT -  DRAFT -  DRAFT - 

 3.1.2.5. List Global Roles for a User

VerbURIDescription
GETv2.0/users/{userId}/roles​?serviceId=string

List global roles for a user.

Normal Response Code(s): 200, 203

Error Response Code(s): identityFault (400, 500, ), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)

Table 3.9. List Global Roles for a User Request Parameters
NameStyleTypeDescription
X-Auth-TokenHeader​StringYou need a valid admin token for access.

The X-Auth-Token header should always be supplied.

serviceIdQuery​String

The serviceId parameter is optional.

userIdTemplate​String

 

Example 3.21. List Global Roles for a User Response: XML

<?xml version="1.0" encoding="UTF-8"?>

<roles xmlns="http://docs.openstack.org/identity/api/v2.0">
  <role id="123" name="Admin" description="All Access" />
  <role id="234" name="Guest" description="Guest Access" />
</roles>

 

Example 3.22. List Global Roles for a User Response: JSON

{
    "roles":[{
            "id": "123",
            "name": "compute:admin",
            "description": "Nova Administrator",
        }
    ],
    "roles_links":[]
}